package cn.com.qmth.stmms.ms.marking.dto;

import java.io.Serializable;

/**
 * 分档统计
 * Created by zhengmin on 2016/10/14.
 */
public class LevelStatDTO implements Serializable {

    private static final long serialVersionUID = 3168673814275283746L;

    private Object id;//level code
    private Integer count;//paper总数
    private Integer rejected;
    private Integer arbitrated;
    private Integer shift;
    private Integer shiftScore;
    private Double percent;
    /**
     * 占比阈值。percent thredhold，0-100
     */
    private int pt = 0;

    private int gpt;//全局的pt
    private Double gpercent;//全局的percent
    private Integer gcount;//全局的count(任务数量总数)
    /**
     * 考点阀值
     */
    private int kdpt = 0;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public int getKdpt() {
        return kdpt;
    }

    public void setKdpt(int kdpt) {
        this.kdpt = kdpt;
    }

    public Object getId() {
        return id;
    }

    public void setId(Object id) {
        this.id = id;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Double getPercent() {
        return percent;
    }

    public void setPercent(Double percent) {
        this.percent = percent;
    }

    public Integer getRejected() {
        return rejected;
    }

    public void setRejected(Integer rejected) {
        this.rejected = rejected;
    }

    public Integer getArbitrated() {
        return arbitrated;
    }

    public void setArbitrated(Integer arbitrated) {
        this.arbitrated = arbitrated;
    }

    public int getPt() {
        return pt;
    }

    public void setPt(int pt) {
        this.pt = pt;
    }

    public int getGpt() {
        return gpt;
    }

    public void setGpt(int gpt) {
        this.gpt = gpt;
    }

    public Double getGpercent() {
        return gpercent;
    }

    public void setGpercent(Double gpercent) {
        this.gpercent = gpercent;
    }

    public Integer getGcount() {
        return gcount;
    }

    public void setGcount(Integer gcount) {
        this.gcount = gcount;
    }

    public Integer getShift() {
        return shift;
    }

    public void setShift(Integer shift) {
        this.shift = shift;
    }

    public Integer getShiftScore() {
        return shiftScore;
    }

    public void setShiftScore(Integer shiftScore) {
        this.shiftScore = shiftScore;
    }
}
